import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { EquipoPrograma } from '../equipo-programa.entity';
import { Programa } from '../../../institucion-programa/entity/programa.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('ep.id_equipo_programa', 'id_equipo_programa')
      .addSelect('ep.id_equipo', 'id_equipo')
      .addSelect('ep.id_programa', 'id_programa')
      .addSelect('p.programa', 'programa')
      .from(EquipoPrograma, 'ep')
      .innerJoin(Programa, 'p', 'p.id_programa = ep.id_programa'),
})
export class FullInformacionEquipoProgramaView {
  @ViewColumn()
  id_equipo_programa: number;

  @ViewColumn()
  id_equipo: number;

  @ViewColumn()
  id_programa: number;

  @ViewColumn()
  programa: string;
}
