import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { InstitucionCarrera } from '../../institucion-carrera/entity/institucion-carrera.entity';
import { Usuario } from '../../usuario/entity/usuario.entity';

@Entity()
export class InstitucionUsuario {
  @PrimaryGeneratedColumn()
  id_institucion_usuario: number;

  @Column({ type: Boolean, nullable: false, default: true })
  activo: boolean;

  @Column({ type: Boolean, nullable: false, default: false })
  multa: boolean;

  @Column({ type: Number, nullable: true })
  id_institucion_carrera: number;

  @Column({ type: Number, nullable: true })
  id_usuario: number;

  @ManyToOne(
    () => InstitucionCarrera,
    (institucionCarrera) => institucionCarrera.usuarios,
    { eager: true },
  )
  @JoinColumn({ name: 'id_institucion_carrera' })
  institucionCarrera: InstitucionCarrera;

  @ManyToOne(() => Usuario, (usuario) => usuario.instituciones, { eager: true })
  @JoinColumn({ name: 'id_usuario' })
  usuario: Usuario;
}
