import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { TipoUsuario } from '../../../tipo-usuario/entity/tipo-usuario.entity';
import { Usuario } from '../usuario.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('u.id_usuario', 'id_usuario')
      .addSelect('u.correo', 'correo')
      .addSelect('u.id_tipo_usuario', 'id_tipo_usuario')
      .addSelect('u.nombre', 'nombre')
      .addSelect('u.rfc', 'rfc')
      .addSelect('u.telefono', 'telefono')
      .addSelect('u.usuario', 'usuario')
      .addSelect('tu.tipo_usuario', 'tipo_usuario')
      .from(Usuario, 'u')
      .innerJoin(TipoUsuario, 'tu', 'tu.id_tipo_usuario = u.id_tipo_usuario'),
})
export class FullInformacionUsuarioView {
  @ViewColumn()
  id_usuario: number;

  @ViewColumn()
  correo: string;

  @ViewColumn()
  id_tipo_usuario: number;

  @ViewColumn()
  nombre: string;

  @ViewColumn()
  rfc: string;

  @ViewColumn()
  telefono: string;

  @ViewColumn()
  tipo_usuario: string;

  @ViewColumn()
  usuario: string;
}
